pkgsrc/sysutils/open-vm-tools/patches/patch-bq
scottr 8e053ee7cb Update to version 2008.08.08-109361. This release provides the following
enhancements:

 - Simple command-line tools to interface with VMware host
 - Guest OS scripts that can be triggered by the VMware host
 - Startup script

When compiled with X11 support (the default), this release also provides:

 - GTK+-based GUI to configure time sync, device connections, and scripts
 - Helper application to interface with the xf86-video-vmware driver,
   enabling dynamic screen resize
2008-08-31 06:36:47 +00:00

42 lines
1.6 KiB
Text

$NetBSD: patch-bq,v 1.1 2008/08/31 06:36:49 scottr Exp $
--- scripts/netbsd/suspend-vm-default.orig 2008-08-19 17:54:40.000000000 -0500
+++ scripts/netbsd/suspend-vm-default
@@ -0,0 +1,37 @@
+#!/bin/sh
+##########################################################
+# Copyright (C) 2004-2008 VMware, Inc. All rights reserved.
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as published
+# by the Free Software Foundation version 2.1 and no later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the Lesser GNU General Public
+# License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License
+# along with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+##########################################################
+
+##########################################################################
+# DO NOT modify this file directly as it will be overwritten the next
+# time the VMware Tools are installed.
+##########################################################################
+
+echo `date` ": Executing '$0'"
+
+scriptsdir="`dirname $0`/scripts/`basename $0`.d"
+if [ -d "$scriptsdir" ]; then
+ for scriptfile in "$scriptsdir"/*; do
+ [ -x "$scriptfile" ] && "$scriptfile" suspend-vm
+ done
+fi
+
+ps auxw | grep -q dhclient
+if [ "$?" -eq 0 ]; then
+ dhclient -r
+fi